Skip to main content
POST
/
api
/
v1
/
runs
/
query
/
validate
Error
A valid request URL is required to generate request examples
{
  "valid": true,
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.langchain.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

application/json

Query params for runs query endpoint.

id
string<uuid>[] | null
trace
string<uuid> | null
parent_run
string<uuid> | null
run_type
enum<string> | null

Enum for run types.

Available options:
tool,
chain,
llm,
retriever,
embedding,
prompt,
parser
session
string<uuid>[] | null
reference_example
string<uuid>[] | null
execution_order
integer | null
Required range: 1 <= x <= 1
start_time
string<date-time> | null
end_time
string<date-time> | null
error
boolean | null
query
string | null
filter
string | null
trace_filter
string | null
tree_filter
string | null
is_root
boolean | null
data_source_type
enum<string> | null

Enum for run data source types.

Available options:
current,
historical,
lite,
root_lite,
runs_feedbacks_rmt_wide
skip_pagination
boolean | null
search_filter
string | null
cursor
string | null
limit
integer
default:100
Required range: 1 <= x <= 100
select
enum<string>[]

Enum for available run columns.

Available options:
id,
name,
run_type,
start_time,
end_time,
status,
error,
extra,
events,
inputs,
inputs_preview,
inputs_s3_urls,
inputs_or_signed_url,
outputs,
outputs_preview,
outputs_s3_urls,
outputs_or_signed_url,
s3_urls,
error_or_signed_url,
events_or_signed_url,
extra_or_signed_url,
serialized_or_signed_url,
parent_run_id,
manifest_id,
manifest_s3_id,
manifest,
session_id,
serialized,
reference_example_id,
reference_dataset_id,
total_tokens,
prompt_tokens,
prompt_token_details,
completion_tokens,
completion_token_details,
total_cost,
prompt_cost,
prompt_cost_details,
completion_cost,
completion_cost_details,
price_model_id,
first_token_time,
trace_id,
dotted_order,
last_queued_at,
feedback_stats,
child_run_ids,
parent_run_ids,
tags,
in_dataset,
app_path,
share_token,
trace_tier,
trace_first_received_at,
ttl_seconds,
trace_upgrade,
thread_id,
trace_min_max_start_time,
messages,
inserted_at
order
enum<string>
default:desc

Enum for run start date order.

Available options:
asc,
desc
skip_prev_cursor
boolean
default:false

Response

Successful Response

Response for POST /runs/query/validate.

valid
boolean
required
errors
RunsQueryValidationError · object[]